1. Registry
  2. Packages
  3. Oracle Cloud Infrastructure
  4. API Docs
  5. DataSafe
  6. getSubsettingPolicies
Viewing docs for Oracle Cloud Infrastructure v5.3.0
published on Friday, Oct 9, 2026 by Pulumi
oci logo oci logo
Viewing docs for Oracle Cloud Infrastructure v5.3.0
published on Friday, Oct 9, 2026 by Pulumi

    This data source provides the list of Subsetting Policies in Oracle Cloud Infrastructure Data Safe service.

    Gets a list of subsetting policies based on the specified query parameters.

    Example Usage

    import * as pulumi from "@pulumi/pulumi";
    import * as oci from "@pulumi/oci";
    
    const testSubsettingPolicies = oci.datasafe.getSubsettingPolicies({
        compartmentId: compartmentId,
        accessLevel: subsettingPolicyAccessLevel,
        compartmentIdInSubtree: subsettingPolicyCompartmentIdInSubtree === "true",
        displayName: subsettingPolicyDisplayName,
        maskingPolicyId: testMaskingPolicy.id,
        sensitiveDataModelId: testSensitiveDataModel.id,
        state: subsettingPolicyState,
        subsettingPolicyId: testSubsettingPolicy.id,
        targetId: testTarget.id,
        timeCreatedGreaterThanOrEqualTo: subsettingPolicyTimeCreatedGreaterThanOrEqualTo,
        timeCreatedLessThan: subsettingPolicyTimeCreatedLessThan,
    });
    
    import pulumi
    import pulumi_oci as oci
    
    test_subsetting_policies = oci.datasafe.get_subsetting_policies(compartment_id=compartment_id,
        access_level=subsetting_policy_access_level,
        compartment_id_in_subtree=subsetting_policy_compartment_id_in_subtree == "true",
        display_name=subsetting_policy_display_name,
        masking_policy_id=test_masking_policy["id"],
        sensitive_data_model_id=test_sensitive_data_model["id"],
        state=subsetting_policy_state,
        subsetting_policy_id=test_subsetting_policy["id"],
        target_id=test_target["id"],
        time_created_greater_than_or_equal_to=subsetting_policy_time_created_greater_than_or_equal_to,
        time_created_less_than=subsetting_policy_time_created_less_than)
    
    package main
    
    import (
    	"github.com/pulumi/pulumi-oci/sdk/v5/go/oci/datasafe"
    	"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
    )
    
    func main() {
    	pulumi.Run(func(ctx *pulumi.Context) error {
    		_, err := datasafe.GetSubsettingPolicies(ctx, &datasafe.GetSubsettingPoliciesArgs{
    			CompartmentId:                   compartmentId,
    			AccessLevel:                     pulumi.StringRef(subsettingPolicyAccessLevel),
    			CompartmentIdInSubtree:          pulumi.BoolRef(subsettingPolicyCompartmentIdInSubtree),
    			DisplayName:                     pulumi.StringRef(subsettingPolicyDisplayName),
    			MaskingPolicyId:                 pulumi.StringRef(testMaskingPolicy.Id),
    			SensitiveDataModelId:            pulumi.StringRef(testSensitiveDataModel.Id),
    			State:                           pulumi.StringRef(subsettingPolicyState),
    			SubsettingPolicyId:              pulumi.StringRef(testSubsettingPolicy.Id),
    			TargetId:                        pulumi.StringRef(testTarget.Id),
    			TimeCreatedGreaterThanOrEqualTo: pulumi.StringRef(subsettingPolicyTimeCreatedGreaterThanOrEqualTo),
    			TimeCreatedLessThan:             pulumi.StringRef(subsettingPolicyTimeCreatedLessThan),
    		}, nil)
    		if err != nil {
    			return err
    		}
    		return nil
    	})
    }
    
    using System.Collections.Generic;
    using System.Linq;
    using Pulumi;
    using Oci = Pulumi.Oci;
    
    return await Deployment.RunAsync(() => 
    {
        var testSubsettingPolicies = Oci.DataSafe.GetSubsettingPolicies.Invoke(new()
        {
            CompartmentId = compartmentId,
            AccessLevel = subsettingPolicyAccessLevel,
            CompartmentIdInSubtree = subsettingPolicyCompartmentIdInSubtree,
            DisplayName = subsettingPolicyDisplayName,
            MaskingPolicyId = testMaskingPolicy.Id,
            SensitiveDataModelId = testSensitiveDataModel.Id,
            State = subsettingPolicyState,
            SubsettingPolicyId = testSubsettingPolicy.Id,
            TargetId = testTarget.Id,
            TimeCreatedGreaterThanOrEqualTo = subsettingPolicyTimeCreatedGreaterThanOrEqualTo,
            TimeCreatedLessThan = subsettingPolicyTimeCreatedLessThan,
        });
    
    });
    
    package generated_program;
    
    import com.pulumi.Context;
    import com.pulumi.Pulumi;
    import com.pulumi.core.Output;
    import com.pulumi.oci.DataSafe.DataSafeFunctions;
    import com.pulumi.oci.DataSafe.inputs.GetSubsettingPoliciesArgs;
    import java.util.ArrayList;
    import java.util.Arrays;
    import java.util.Map;
    import java.io.File;
    import java.nio.file.Files;
    import java.nio.file.Paths;
    
    public class App {
        public static void main(String[] args) {
            Pulumi.run(App::stack);
        }
    
        public static void stack(Context ctx) {
            final var testSubsettingPolicies = DataSafeFunctions.getSubsettingPolicies(GetSubsettingPoliciesArgs.builder()
                .compartmentId(compartmentId)
                .accessLevel(subsettingPolicyAccessLevel)
                .compartmentIdInSubtree(subsettingPolicyCompartmentIdInSubtree)
                .displayName(subsettingPolicyDisplayName)
                .maskingPolicyId(testMaskingPolicy.id())
                .sensitiveDataModelId(testSensitiveDataModel.id())
                .state(subsettingPolicyState)
                .subsettingPolicyId(testSubsettingPolicy.id())
                .targetId(testTarget.id())
                .timeCreatedGreaterThanOrEqualTo(subsettingPolicyTimeCreatedGreaterThanOrEqualTo)
                .timeCreatedLessThan(subsettingPolicyTimeCreatedLessThan)
                .build());
    
        }
    }
    
    variables:
      testSubsettingPolicies:
        fn::invoke:
          function: oci:DataSafe:getSubsettingPolicies
          arguments:
            compartmentId: ${compartmentId}
            accessLevel: ${subsettingPolicyAccessLevel}
            compartmentIdInSubtree: ${subsettingPolicyCompartmentIdInSubtree}
            displayName: ${subsettingPolicyDisplayName}
            maskingPolicyId: ${testMaskingPolicy.id}
            sensitiveDataModelId: ${testSensitiveDataModel.id}
            state: ${subsettingPolicyState}
            subsettingPolicyId: ${testSubsettingPolicy.id}
            targetId: ${testTarget.id}
            timeCreatedGreaterThanOrEqualTo: ${subsettingPolicyTimeCreatedGreaterThanOrEqualTo}
            timeCreatedLessThan: ${subsettingPolicyTimeCreatedLessThan}
    
    pulumi {
      required_providers {
        oci = {
          source = "pulumi/oci"
        }
      }
    }
    
    data "oci_datasafe_getsubsettingpolicies" "testSubsettingPolicies" {
      compartment_id                        = compartmentId
      access_level                          = subsettingPolicyAccessLevel
      compartment_id_in_subtree             = subsettingPolicyCompartmentIdInSubtree
      display_name                          = subsettingPolicyDisplayName
      masking_policy_id                     = testMaskingPolicy.id
      sensitive_data_model_id               = testSensitiveDataModel.id
      state                                 = subsettingPolicyState
      subsetting_policy_id                  = testSubsettingPolicy.id
      target_id                             = testTarget.id
      time_created_greater_than_or_equal_to = subsettingPolicyTimeCreatedGreaterThanOrEqualTo
      time_created_less_than                = subsettingPolicyTimeCreatedLessThan
    }
    

    Using getSubsettingPolicies

    Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.

    function getSubsettingPolicies(args: GetSubsettingPoliciesArgs, opts?: InvokeOptions): Promise<GetSubsettingPoliciesResult>
    function getSubsettingPoliciesOutput(args: GetSubsettingPoliciesOutputArgs, opts?: InvokeOutputOptions): Output<GetSubsettingPoliciesResult>
    def get_subsetting_policies(access_level: Optional[str] = None,
                                compartment_id: Optional[str] = None,
                                compartment_id_in_subtree: Optional[bool] = None,
                                display_name: Optional[str] = None,
                                filters: Optional[Sequence[GetSubsettingPoliciesFilter]] = None,
                                masking_policy_id: Optional[str] = None,
                                sensitive_data_model_id: Optional[str] = None,
                                state: Optional[str] = None,
                                subsetting_policy_id: Optional[str] = None,
                                target_id: Optional[str] = None,
                                time_created_greater_than_or_equal_to: Optional[str] = None,
                                time_created_less_than: Optional[str] = None,
                                opts: Optional[InvokeOptions] = None) -> GetSubsettingPoliciesResult
    def get_subsetting_policies_output(access_level: pulumi.Input[Optional[str]] = None,
                                compartment_id: pulumi.Input[Optional[str]] = None,
                                compartment_id_in_subtree: pulumi.Input[Optional[bool]] = None,
                                display_name: pulumi.Input[Optional[str]] = None,
                                filters: pulumi.Input[Optional[Sequence[pulumi.Input[GetSubsettingPoliciesFilterArgs]]]] = None,
                                masking_policy_id: pulumi.Input[Optional[str]] = None,
                                sensitive_data_model_id: pulumi.Input[Optional[str]] = None,
                                state: pulumi.Input[Optional[str]] = None,
                                subsetting_policy_id: pulumi.Input[Optional[str]] = None,
                                target_id: pulumi.Input[Optional[str]] = None,
                                time_created_greater_than_or_equal_to: pulumi.Input[Optional[str]] = None,
                                time_created_less_than: pulumi.Input[Optional[str]] = None,
                                opts: Optional[InvokeOutputOptions] = None) -> Output[GetSubsettingPoliciesResult]
    func GetSubsettingPolicies(ctx *Context, args *GetSubsettingPoliciesArgs, opts ...InvokeOption) (*GetSubsettingPoliciesResult, error)
    func GetSubsettingPoliciesOutput(ctx *Context, args *GetSubsettingPoliciesOutputArgs, opts ...InvokeOption) GetSubsettingPoliciesResultOutput

    > Note: This function is named GetSubsettingPolicies in the Go SDK.

    public static class GetSubsettingPolicies 
    {
        public static Task<GetSubsettingPoliciesResult> InvokeAsync(GetSubsettingPoliciesArgs args, InvokeOptions? opts = null)
        public static Output<GetSubsettingPoliciesResult> Invoke(GetSubsettingPoliciesInvokeArgs args, InvokeOptions? opts = null)
        public static Output<GetSubsettingPoliciesResult> Invoke(GetSubsettingPoliciesInvokeArgs args, InvokeOutputOptions opts)
    }
    public static CompletableFuture<GetSubsettingPoliciesResult> getSubsettingPolicies(GetSubsettingPoliciesArgs args, InvokeOptions options)
    public static Output<GetSubsettingPoliciesResult> getSubsettingPolicies(GetSubsettingPoliciesArgs args, InvokeOptions options)
    public static Output<GetSubsettingPoliciesResult> getSubsettingPolicies(GetSubsettingPoliciesArgs args, InvokeOutputOptions options)
    
    fn::invoke:
      function: oci:DataSafe/getSubsettingPolicies:getSubsettingPolicies
      arguments:
        # arguments dictionary
    data "oci_data_safe_get_subsetting_policies" "name" {
        # arguments
    }

    The following arguments are supported:

    CompartmentId string
    A filter to return only resources that match the specified compartment OCID.
    AccessLevel string
    Valid values are RESTRICTED and ACCESSIBLE. Default is RESTRICTED. Setting this to ACCESSIBLE returns only those compartments for which the user has INSPECT permissions directly or indirectly (permissions can be on a resource in a subcompartment). When set to RESTRICTED permissions are checked and no partial results are displayed.
    CompartmentIdInSubtree bool
    Default is false. When set to true, the hierarchy of compartments is traversed and all compartments and subcompartments in the tenancy are returned. Depends on the 'accessLevel' setting.
    DisplayName string
    A filter to return only resources that match the specified display name.
    Filters List<GetSubsettingPoliciesFilter>
    MaskingPolicyId string
    A filter to return only the resources that match the specified masking policy OCID.
    SensitiveDataModelId string
    A filter to return only the resources that match the specified sensitive data model OCID.
    State string
    A filter to return only the resources that match the specified lifecycle states.
    SubsettingPolicyId string
    A filter to return only the resources that match the specified subsetting policy OCID.
    TargetId string
    A filter to return only items related to a specific target OCID.
    TimeCreatedGreaterThanOrEqualTo string

    A filter to return only the resources that were created after the specified date and time, as defined by RFC3339. Using TimeCreatedGreaterThanOrEqualToQueryParam parameter retrieves all resources created after that date.

    Example: 2016-12-19T16:39:57.600Z

    TimeCreatedLessThan string

    Search for resources that were created before a specific date. Specifying this parameter corresponding timeCreatedLessThan parameter will retrieve all resources created before the specified created date, in "YYYY-MM-ddThh:mmZ" format with a Z offset, as defined by RFC 3339.

    Example: 2016-12-19T16:39:57.600Z

    CompartmentId string
    A filter to return only resources that match the specified compartment OCID.
    AccessLevel string
    Valid values are RESTRICTED and ACCESSIBLE. Default is RESTRICTED. Setting this to ACCESSIBLE returns only those compartments for which the user has INSPECT permissions directly or indirectly (permissions can be on a resource in a subcompartment). When set to RESTRICTED permissions are checked and no partial results are displayed.
    CompartmentIdInSubtree bool
    Default is false. When set to true, the hierarchy of compartments is traversed and all compartments and subcompartments in the tenancy are returned. Depends on the 'accessLevel' setting.
    DisplayName string
    A filter to return only resources that match the specified display name.
    Filters []GetSubsettingPoliciesFilter
    MaskingPolicyId string
    A filter to return only the resources that match the specified masking policy OCID.
    SensitiveDataModelId string
    A filter to return only the resources that match the specified sensitive data model OCID.
    State string
    A filter to return only the resources that match the specified lifecycle states.
    SubsettingPolicyId string
    A filter to return only the resources that match the specified subsetting policy OCID.
    TargetId string
    A filter to return only items related to a specific target OCID.
    TimeCreatedGreaterThanOrEqualTo string

    A filter to return only the resources that were created after the specified date and time, as defined by RFC3339. Using TimeCreatedGreaterThanOrEqualToQueryParam parameter retrieves all resources created after that date.

    Example: 2016-12-19T16:39:57.600Z

    TimeCreatedLessThan string

    Search for resources that were created before a specific date. Specifying this parameter corresponding timeCreatedLessThan parameter will retrieve all resources created before the specified created date, in "YYYY-MM-ddThh:mmZ" format with a Z offset, as defined by RFC 3339.

    Example: 2016-12-19T16:39:57.600Z

    compartment_id string
    A filter to return only resources that match the specified compartment OCID.
    access_level string
    Valid values are RESTRICTED and ACCESSIBLE. Default is RESTRICTED. Setting this to ACCESSIBLE returns only those compartments for which the user has INSPECT permissions directly or indirectly (permissions can be on a resource in a subcompartment). When set to RESTRICTED permissions are checked and no partial results are displayed.
    compartment_id_in_subtree bool
    Default is false. When set to true, the hierarchy of compartments is traversed and all compartments and subcompartments in the tenancy are returned. Depends on the 'accessLevel' setting.
    display_name string
    A filter to return only resources that match the specified display name.
    filters list(object)
    masking_policy_id string
    A filter to return only the resources that match the specified masking policy OCID.
    sensitive_data_model_id string
    A filter to return only the resources that match the specified sensitive data model OCID.
    state string
    A filter to return only the resources that match the specified lifecycle states.
    subsetting_policy_id string
    A filter to return only the resources that match the specified subsetting policy OCID.
    target_id string
    A filter to return only items related to a specific target OCID.
    time_created_greater_than_or_equal_to string

    A filter to return only the resources that were created after the specified date and time, as defined by RFC3339. Using TimeCreatedGreaterThanOrEqualToQueryParam parameter retrieves all resources created after that date.

    Example: 2016-12-19T16:39:57.600Z

    time_created_less_than string

    Search for resources that were created before a specific date. Specifying this parameter corresponding timeCreatedLessThan parameter will retrieve all resources created before the specified created date, in "YYYY-MM-ddThh:mmZ" format with a Z offset, as defined by RFC 3339.

    Example: 2016-12-19T16:39:57.600Z

    compartmentId String
    A filter to return only resources that match the specified compartment OCID.
    accessLevel String
    Valid values are RESTRICTED and ACCESSIBLE. Default is RESTRICTED. Setting this to ACCESSIBLE returns only those compartments for which the user has INSPECT permissions directly or indirectly (permissions can be on a resource in a subcompartment). When set to RESTRICTED permissions are checked and no partial results are displayed.
    compartmentIdInSubtree Boolean
    Default is false. When set to true, the hierarchy of compartments is traversed and all compartments and subcompartments in the tenancy are returned. Depends on the 'accessLevel' setting.
    displayName String
    A filter to return only resources that match the specified display name.
    filters List<GetSubsettingPoliciesFilter>
    maskingPolicyId String
    A filter to return only the resources that match the specified masking policy OCID.
    sensitiveDataModelId String
    A filter to return only the resources that match the specified sensitive data model OCID.
    state String
    A filter to return only the resources that match the specified lifecycle states.
    subsettingPolicyId String
    A filter to return only the resources that match the specified subsetting policy OCID.
    targetId String
    A filter to return only items related to a specific target OCID.
    timeCreatedGreaterThanOrEqualTo String

    A filter to return only the resources that were created after the specified date and time, as defined by RFC3339. Using TimeCreatedGreaterThanOrEqualToQueryParam parameter retrieves all resources created after that date.

    Example: 2016-12-19T16:39:57.600Z

    timeCreatedLessThan String

    Search for resources that were created before a specific date. Specifying this parameter corresponding timeCreatedLessThan parameter will retrieve all resources created before the specified created date, in "YYYY-MM-ddThh:mmZ" format with a Z offset, as defined by RFC 3339.

    Example: 2016-12-19T16:39:57.600Z

    compartmentId string
    A filter to return only resources that match the specified compartment OCID.
    accessLevel string
    Valid values are RESTRICTED and ACCESSIBLE. Default is RESTRICTED. Setting this to ACCESSIBLE returns only those compartments for which the user has INSPECT permissions directly or indirectly (permissions can be on a resource in a subcompartment). When set to RESTRICTED permissions are checked and no partial results are displayed.
    compartmentIdInSubtree boolean
    Default is false. When set to true, the hierarchy of compartments is traversed and all compartments and subcompartments in the tenancy are returned. Depends on the 'accessLevel' setting.
    displayName string
    A filter to return only resources that match the specified display name.
    filters GetSubsettingPoliciesFilter[]
    maskingPolicyId string
    A filter to return only the resources that match the specified masking policy OCID.
    sensitiveDataModelId string
    A filter to return only the resources that match the specified sensitive data model OCID.
    state string
    A filter to return only the resources that match the specified lifecycle states.
    subsettingPolicyId string
    A filter to return only the resources that match the specified subsetting policy OCID.
    targetId string
    A filter to return only items related to a specific target OCID.
    timeCreatedGreaterThanOrEqualTo string

    A filter to return only the resources that were created after the specified date and time, as defined by RFC3339. Using TimeCreatedGreaterThanOrEqualToQueryParam parameter retrieves all resources created after that date.

    Example: 2016-12-19T16:39:57.600Z

    timeCreatedLessThan string

    Search for resources that were created before a specific date. Specifying this parameter corresponding timeCreatedLessThan parameter will retrieve all resources created before the specified created date, in "YYYY-MM-ddThh:mmZ" format with a Z offset, as defined by RFC 3339.

    Example: 2016-12-19T16:39:57.600Z

    compartment_id str
    A filter to return only resources that match the specified compartment OCID.
    access_level str
    Valid values are RESTRICTED and ACCESSIBLE. Default is RESTRICTED. Setting this to ACCESSIBLE returns only those compartments for which the user has INSPECT permissions directly or indirectly (permissions can be on a resource in a subcompartment). When set to RESTRICTED permissions are checked and no partial results are displayed.
    compartment_id_in_subtree bool
    Default is false. When set to true, the hierarchy of compartments is traversed and all compartments and subcompartments in the tenancy are returned. Depends on the 'accessLevel' setting.
    display_name str
    A filter to return only resources that match the specified display name.
    filters Sequence[GetSubsettingPoliciesFilter]
    masking_policy_id str
    A filter to return only the resources that match the specified masking policy OCID.
    sensitive_data_model_id str
    A filter to return only the resources that match the specified sensitive data model OCID.
    state str
    A filter to return only the resources that match the specified lifecycle states.
    subsetting_policy_id str
    A filter to return only the resources that match the specified subsetting policy OCID.
    target_id str
    A filter to return only items related to a specific target OCID.
    time_created_greater_than_or_equal_to str

    A filter to return only the resources that were created after the specified date and time, as defined by RFC3339. Using TimeCreatedGreaterThanOrEqualToQueryParam parameter retrieves all resources created after that date.

    Example: 2016-12-19T16:39:57.600Z

    time_created_less_than str

    Search for resources that were created before a specific date. Specifying this parameter corresponding timeCreatedLessThan parameter will retrieve all resources created before the specified created date, in "YYYY-MM-ddThh:mmZ" format with a Z offset, as defined by RFC 3339.

    Example: 2016-12-19T16:39:57.600Z

    compartmentId String
    A filter to return only resources that match the specified compartment OCID.
    accessLevel String
    Valid values are RESTRICTED and ACCESSIBLE. Default is RESTRICTED. Setting this to ACCESSIBLE returns only those compartments for which the user has INSPECT permissions directly or indirectly (permissions can be on a resource in a subcompartment). When set to RESTRICTED permissions are checked and no partial results are displayed.
    compartmentIdInSubtree Boolean
    Default is false. When set to true, the hierarchy of compartments is traversed and all compartments and subcompartments in the tenancy are returned. Depends on the 'accessLevel' setting.
    displayName String
    A filter to return only resources that match the specified display name.
    filters List<Property Map>
    maskingPolicyId String
    A filter to return only the resources that match the specified masking policy OCID.
    sensitiveDataModelId String
    A filter to return only the resources that match the specified sensitive data model OCID.
    state String
    A filter to return only the resources that match the specified lifecycle states.
    subsettingPolicyId String
    A filter to return only the resources that match the specified subsetting policy OCID.
    targetId String
    A filter to return only items related to a specific target OCID.
    timeCreatedGreaterThanOrEqualTo String

    A filter to return only the resources that were created after the specified date and time, as defined by RFC3339. Using TimeCreatedGreaterThanOrEqualToQueryParam parameter retrieves all resources created after that date.

    Example: 2016-12-19T16:39:57.600Z

    timeCreatedLessThan String

    Search for resources that were created before a specific date. Specifying this parameter corresponding timeCreatedLessThan parameter will retrieve all resources created before the specified created date, in "YYYY-MM-ddThh:mmZ" format with a Z offset, as defined by RFC 3339.

    Example: 2016-12-19T16:39:57.600Z

    getSubsettingPolicies Result

    The following output properties are available:

    CompartmentId string
    The OCID of the compartment that contains the subsetting policy
    Id string
    The provider-assigned unique ID for this managed resource.
    SubsettingPolicyCollections List<GetSubsettingPoliciesSubsettingPolicyCollection>
    The list of subsetting_policy_collection.
    AccessLevel string
    CompartmentIdInSubtree bool
    DisplayName string
    The display name of the subsetting policy
    Filters List<GetSubsettingPoliciesFilter>
    MaskingPolicyId string
    The OCID of the masking policy associated with this subsetting policy
    SensitiveDataModelId string
    The OCID of the sensitive data model that's used as the source of subsetting schemas
    State string
    The current state of the subsetting policy
    SubsettingPolicyId string
    TargetId string
    The OCID of the target database that's used as the source of subsetting schemas
    TimeCreatedGreaterThanOrEqualTo string
    TimeCreatedLessThan string
    CompartmentId string
    The OCID of the compartment that contains the subsetting policy
    Id string
    The provider-assigned unique ID for this managed resource.
    SubsettingPolicyCollections []GetSubsettingPoliciesSubsettingPolicyCollection
    The list of subsetting_policy_collection.
    AccessLevel string
    CompartmentIdInSubtree bool
    DisplayName string
    The display name of the subsetting policy
    Filters []GetSubsettingPoliciesFilter
    MaskingPolicyId string
    The OCID of the masking policy associated with this subsetting policy
    SensitiveDataModelId string
    The OCID of the sensitive data model that's used as the source of subsetting schemas
    State string
    The current state of the subsetting policy
    SubsettingPolicyId string
    TargetId string
    The OCID of the target database that's used as the source of subsetting schemas
    TimeCreatedGreaterThanOrEqualTo string
    TimeCreatedLessThan string
    compartment_id string
    The OCID of the compartment that contains the subsetting policy
    id string
    The provider-assigned unique ID for this managed resource.
    subsetting_policy_collections list(object)
    The list of subsetting_policy_collection.
    access_level string
    compartment_id_in_subtree bool
    display_name string
    The display name of the subsetting policy
    filters list(object)
    masking_policy_id string
    The OCID of the masking policy associated with this subsetting policy
    sensitive_data_model_id string
    The OCID of the sensitive data model that's used as the source of subsetting schemas
    state string
    The current state of the subsetting policy
    subsetting_policy_id string
    target_id string
    The OCID of the target database that's used as the source of subsetting schemas
    time_created_greater_than_or_equal_to string
    time_created_less_than string
    compartmentId String
    The OCID of the compartment that contains the subsetting policy
    id String
    The provider-assigned unique ID for this managed resource.
    subsettingPolicyCollections List<GetSubsettingPoliciesSubsettingPolicyCollection>
    The list of subsetting_policy_collection.
    accessLevel String
    compartmentIdInSubtree Boolean
    displayName String
    The display name of the subsetting policy
    filters List<GetSubsettingPoliciesFilter>
    maskingPolicyId String
    The OCID of the masking policy associated with this subsetting policy
    sensitiveDataModelId String
    The OCID of the sensitive data model that's used as the source of subsetting schemas
    state String
    The current state of the subsetting policy
    subsettingPolicyId String
    targetId String
    The OCID of the target database that's used as the source of subsetting schemas
    timeCreatedGreaterThanOrEqualTo String
    timeCreatedLessThan String
    compartmentId string
    The OCID of the compartment that contains the subsetting policy
    id string
    The provider-assigned unique ID for this managed resource.
    subsettingPolicyCollections GetSubsettingPoliciesSubsettingPolicyCollection[]
    The list of subsetting_policy_collection.
    accessLevel string
    compartmentIdInSubtree boolean
    displayName string
    The display name of the subsetting policy
    filters GetSubsettingPoliciesFilter[]
    maskingPolicyId string
    The OCID of the masking policy associated with this subsetting policy
    sensitiveDataModelId string
    The OCID of the sensitive data model that's used as the source of subsetting schemas
    state string
    The current state of the subsetting policy
    subsettingPolicyId string
    targetId string
    The OCID of the target database that's used as the source of subsetting schemas
    timeCreatedGreaterThanOrEqualTo string
    timeCreatedLessThan string
    compartment_id str
    The OCID of the compartment that contains the subsetting policy
    id str
    The provider-assigned unique ID for this managed resource.
    subsetting_policy_collections Sequence[GetSubsettingPoliciesSubsettingPolicyCollection]
    The list of subsetting_policy_collection.
    access_level str
    compartment_id_in_subtree bool
    display_name str
    The display name of the subsetting policy
    filters Sequence[GetSubsettingPoliciesFilter]
    masking_policy_id str
    The OCID of the masking policy associated with this subsetting policy
    sensitive_data_model_id str
    The OCID of the sensitive data model that's used as the source of subsetting schemas
    state str
    The current state of the subsetting policy
    subsetting_policy_id str
    target_id str
    The OCID of the target database that's used as the source of subsetting schemas
    time_created_greater_than_or_equal_to str
    time_created_less_than str
    compartmentId String
    The OCID of the compartment that contains the subsetting policy
    id String
    The provider-assigned unique ID for this managed resource.
    subsettingPolicyCollections List<Property Map>
    The list of subsetting_policy_collection.
    accessLevel String
    compartmentIdInSubtree Boolean
    displayName String
    The display name of the subsetting policy
    filters List<Property Map>
    maskingPolicyId String
    The OCID of the masking policy associated with this subsetting policy
    sensitiveDataModelId String
    The OCID of the sensitive data model that's used as the source of subsetting schemas
    state String
    The current state of the subsetting policy
    subsettingPolicyId String
    targetId String
    The OCID of the target database that's used as the source of subsetting schemas
    timeCreatedGreaterThanOrEqualTo String
    timeCreatedLessThan String

    Supporting Types

    GetSubsettingPoliciesFilter

    Name string
    Values List<string>
    Regex bool
    Name string
    Values []string
    Regex bool
    name string
    values list(string)
    regex bool
    name String
    values List<String>
    regex Boolean
    name string
    values string[]
    regex boolean
    name str
    values Sequence[str]
    regex bool
    name String
    values List<String>
    regex Boolean

    GetSubsettingPoliciesSubsettingPolicyCollection

    GetSubsettingPoliciesSubsettingPolicyCollectionItem

    CheckType string
    CompartmentId string
    A filter to return only resources that match the specified compartment OCID.
    DefinedTags Dictionary<string, string>
    Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags Example: {"Operations.CostCenter": "42"}
    Description string
    The description of the subsetting policy
    DisplayName string
    A filter to return only resources that match the specified display name.
    FreeformTags Dictionary<string, string>
    Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see Resource Tags Example: {"Department": "Finance"}
    GenerateHealthReportTrigger int
    Id string
    The OCID of the subsetting policy
    IsRedoLoggingEnabled bool
    Indicates if redo logging is enabled during a subsetting operation. It's disabled by default. Set this attribute to true to enable redo logging. By default, subsetting disables redo logging and flashback logging to purge any original data from logs. However, in certain circumstances when you only want to test subsetting, rollback changes, and retry subsetting, you could enable logging and use a flashback database to retrieve the original data after it has been subsetted.
    IsRefreshStatsEnabled bool
    Indicates if statistics gathering is enabled. It's enabled by default. Set this attribute to false to disable statistics gathering. The subsetting process gathers statistics on database tables after subsetting completes
    MaskingPolicyId string
    A filter to return only the resources that match the specified masking policy OCID.
    ParallelDegree string
    Specifies options to enable parallel execution when running data subsetting. Allowed values are 'NONE' (no parallelism), 'DEFAULT' (the Oracle Database computes the optimum degree of parallelism) or an integer value to be used as the degree of parallelism. Parallel execution helps effectively use multiple CPUs and improve subsetting performance. Refer to the Oracle Database parallel execution framework when choosing an explicit degree of parallelism
    PostSubsettingScript string
    A post-subsetting script, which can contain SQL and PL/SQL statements. It's executed after the core subsetting script generated using the subsetting policy. It's usually used to perform additional transformation or cleanup work after subsetting.
    PreSubsettingScript string
    A pre-subsetting script, which can contain SQL and PL/SQL statements. It's executed before the core subsetting script generated using the subsetting policy. It's usually used to perform any preparation or prerequisite work before subsetting data
    Recompile string
    Specifies how to recompile invalid objects post data subsetting. Allowed values are 'SERIAL' (recompile in serial), 'PARALLEL' (recompile in parallel), 'NONE' (do not recompile). If it's set to PARALLEL, the value of parallelDegree attribute is used. Use the built-in UTL_RECOMP package to recompile any remaining invalid objects after subsetting completes
    SchemaSources List<GetSubsettingPoliciesSubsettingPolicyCollectionItemSchemaSource>
    The source of subsetting schemas
    State string
    A filter to return only the resources that match the specified lifecycle states.
    Tablespace string
    TargetCredentials List<GetSubsettingPoliciesSubsettingPolicyCollectionItemTargetCredential>
    TargetId string
    A filter to return only items related to a specific target OCID.
    TimeCreated string
    The date and time the subsetting policy was created, in the format defined by RFC3339
    TimeUpdated string
    The date and time the subsetting policy was last updated, in the format defined by RFC3339
    UnrelatedTablesAction string
    Strategy to be applied for tables which are not impacted by any of the subsetting rules
    CheckType string
    CompartmentId string
    A filter to return only resources that match the specified compartment OCID.
    DefinedTags map[string]string
    Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags Example: {"Operations.CostCenter": "42"}
    Description string
    The description of the subsetting policy
    DisplayName string
    A filter to return only resources that match the specified display name.
    FreeformTags map[string]string
    Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see Resource Tags Example: {"Department": "Finance"}
    GenerateHealthReportTrigger int
    Id string
    The OCID of the subsetting policy
    IsRedoLoggingEnabled bool
    Indicates if redo logging is enabled during a subsetting operation. It's disabled by default. Set this attribute to true to enable redo logging. By default, subsetting disables redo logging and flashback logging to purge any original data from logs. However, in certain circumstances when you only want to test subsetting, rollback changes, and retry subsetting, you could enable logging and use a flashback database to retrieve the original data after it has been subsetted.
    IsRefreshStatsEnabled bool
    Indicates if statistics gathering is enabled. It's enabled by default. Set this attribute to false to disable statistics gathering. The subsetting process gathers statistics on database tables after subsetting completes
    MaskingPolicyId string
    A filter to return only the resources that match the specified masking policy OCID.
    ParallelDegree string
    Specifies options to enable parallel execution when running data subsetting. Allowed values are 'NONE' (no parallelism), 'DEFAULT' (the Oracle Database computes the optimum degree of parallelism) or an integer value to be used as the degree of parallelism. Parallel execution helps effectively use multiple CPUs and improve subsetting performance. Refer to the Oracle Database parallel execution framework when choosing an explicit degree of parallelism
    PostSubsettingScript string
    A post-subsetting script, which can contain SQL and PL/SQL statements. It's executed after the core subsetting script generated using the subsetting policy. It's usually used to perform additional transformation or cleanup work after subsetting.
    PreSubsettingScript string
    A pre-subsetting script, which can contain SQL and PL/SQL statements. It's executed before the core subsetting script generated using the subsetting policy. It's usually used to perform any preparation or prerequisite work before subsetting data
    Recompile string
    Specifies how to recompile invalid objects post data subsetting. Allowed values are 'SERIAL' (recompile in serial), 'PARALLEL' (recompile in parallel), 'NONE' (do not recompile). If it's set to PARALLEL, the value of parallelDegree attribute is used. Use the built-in UTL_RECOMP package to recompile any remaining invalid objects after subsetting completes
    SchemaSources []GetSubsettingPoliciesSubsettingPolicyCollectionItemSchemaSource
    The source of subsetting schemas
    State string
    A filter to return only the resources that match the specified lifecycle states.
    Tablespace string
    TargetCredentials []GetSubsettingPoliciesSubsettingPolicyCollectionItemTargetCredential
    TargetId string
    A filter to return only items related to a specific target OCID.
    TimeCreated string
    The date and time the subsetting policy was created, in the format defined by RFC3339
    TimeUpdated string
    The date and time the subsetting policy was last updated, in the format defined by RFC3339
    UnrelatedTablesAction string
    Strategy to be applied for tables which are not impacted by any of the subsetting rules
    check_type string
    compartment_id string
    A filter to return only resources that match the specified compartment OCID.
    defined_tags map(string)
    Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags Example: {"Operations.CostCenter": "42"}
    description string
    The description of the subsetting policy
    display_name string
    A filter to return only resources that match the specified display name.
    freeform_tags map(string)
    Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see Resource Tags Example: {"Department": "Finance"}
    generate_health_report_trigger number
    id string
    The OCID of the subsetting policy
    is_redo_logging_enabled bool
    Indicates if redo logging is enabled during a subsetting operation. It's disabled by default. Set this attribute to true to enable redo logging. By default, subsetting disables redo logging and flashback logging to purge any original data from logs. However, in certain circumstances when you only want to test subsetting, rollback changes, and retry subsetting, you could enable logging and use a flashback database to retrieve the original data after it has been subsetted.
    is_refresh_stats_enabled bool
    Indicates if statistics gathering is enabled. It's enabled by default. Set this attribute to false to disable statistics gathering. The subsetting process gathers statistics on database tables after subsetting completes
    masking_policy_id string
    A filter to return only the resources that match the specified masking policy OCID.
    parallel_degree string
    Specifies options to enable parallel execution when running data subsetting. Allowed values are 'NONE' (no parallelism), 'DEFAULT' (the Oracle Database computes the optimum degree of parallelism) or an integer value to be used as the degree of parallelism. Parallel execution helps effectively use multiple CPUs and improve subsetting performance. Refer to the Oracle Database parallel execution framework when choosing an explicit degree of parallelism
    post_subsetting_script string
    A post-subsetting script, which can contain SQL and PL/SQL statements. It's executed after the core subsetting script generated using the subsetting policy. It's usually used to perform additional transformation or cleanup work after subsetting.
    pre_subsetting_script string
    A pre-subsetting script, which can contain SQL and PL/SQL statements. It's executed before the core subsetting script generated using the subsetting policy. It's usually used to perform any preparation or prerequisite work before subsetting data
    recompile string
    Specifies how to recompile invalid objects post data subsetting. Allowed values are 'SERIAL' (recompile in serial), 'PARALLEL' (recompile in parallel), 'NONE' (do not recompile). If it's set to PARALLEL, the value of parallelDegree attribute is used. Use the built-in UTL_RECOMP package to recompile any remaining invalid objects after subsetting completes
    schema_sources list(object)
    The source of subsetting schemas
    state string
    A filter to return only the resources that match the specified lifecycle states.
    tablespace string
    target_credentials list(object)
    target_id string
    A filter to return only items related to a specific target OCID.
    time_created string
    The date and time the subsetting policy was created, in the format defined by RFC3339
    time_updated string
    The date and time the subsetting policy was last updated, in the format defined by RFC3339
    unrelated_tables_action string
    Strategy to be applied for tables which are not impacted by any of the subsetting rules
    checkType String
    compartmentId String
    A filter to return only resources that match the specified compartment OCID.
    definedTags Map<String,String>
    Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags Example: {"Operations.CostCenter": "42"}
    description String
    The description of the subsetting policy
    displayName String
    A filter to return only resources that match the specified display name.
    freeformTags Map<String,String>
    Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see Resource Tags Example: {"Department": "Finance"}
    generateHealthReportTrigger Integer
    id String
    The OCID of the subsetting policy
    isRedoLoggingEnabled Boolean
    Indicates if redo logging is enabled during a subsetting operation. It's disabled by default. Set this attribute to true to enable redo logging. By default, subsetting disables redo logging and flashback logging to purge any original data from logs. However, in certain circumstances when you only want to test subsetting, rollback changes, and retry subsetting, you could enable logging and use a flashback database to retrieve the original data after it has been subsetted.
    isRefreshStatsEnabled Boolean
    Indicates if statistics gathering is enabled. It's enabled by default. Set this attribute to false to disable statistics gathering. The subsetting process gathers statistics on database tables after subsetting completes
    maskingPolicyId String
    A filter to return only the resources that match the specified masking policy OCID.
    parallelDegree String
    Specifies options to enable parallel execution when running data subsetting. Allowed values are 'NONE' (no parallelism), 'DEFAULT' (the Oracle Database computes the optimum degree of parallelism) or an integer value to be used as the degree of parallelism. Parallel execution helps effectively use multiple CPUs and improve subsetting performance. Refer to the Oracle Database parallel execution framework when choosing an explicit degree of parallelism
    postSubsettingScript String
    A post-subsetting script, which can contain SQL and PL/SQL statements. It's executed after the core subsetting script generated using the subsetting policy. It's usually used to perform additional transformation or cleanup work after subsetting.
    preSubsettingScript String
    A pre-subsetting script, which can contain SQL and PL/SQL statements. It's executed before the core subsetting script generated using the subsetting policy. It's usually used to perform any preparation or prerequisite work before subsetting data
    recompile String
    Specifies how to recompile invalid objects post data subsetting. Allowed values are 'SERIAL' (recompile in serial), 'PARALLEL' (recompile in parallel), 'NONE' (do not recompile). If it's set to PARALLEL, the value of parallelDegree attribute is used. Use the built-in UTL_RECOMP package to recompile any remaining invalid objects after subsetting completes
    schemaSources List<GetSubsettingPoliciesSubsettingPolicyCollectionItemSchemaSource>
    The source of subsetting schemas
    state String
    A filter to return only the resources that match the specified lifecycle states.
    tablespace String
    targetCredentials List<GetSubsettingPoliciesSubsettingPolicyCollectionItemTargetCredential>
    targetId String
    A filter to return only items related to a specific target OCID.
    timeCreated String
    The date and time the subsetting policy was created, in the format defined by RFC3339
    timeUpdated String
    The date and time the subsetting policy was last updated, in the format defined by RFC3339
    unrelatedTablesAction String
    Strategy to be applied for tables which are not impacted by any of the subsetting rules
    checkType string
    compartmentId string
    A filter to return only resources that match the specified compartment OCID.
    definedTags {[key: string]: string}
    Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags Example: {"Operations.CostCenter": "42"}
    description string
    The description of the subsetting policy
    displayName string
    A filter to return only resources that match the specified display name.
    freeformTags {[key: string]: string}
    Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see Resource Tags Example: {"Department": "Finance"}
    generateHealthReportTrigger number
    id string
    The OCID of the subsetting policy
    isRedoLoggingEnabled boolean
    Indicates if redo logging is enabled during a subsetting operation. It's disabled by default. Set this attribute to true to enable redo logging. By default, subsetting disables redo logging and flashback logging to purge any original data from logs. However, in certain circumstances when you only want to test subsetting, rollback changes, and retry subsetting, you could enable logging and use a flashback database to retrieve the original data after it has been subsetted.
    isRefreshStatsEnabled boolean
    Indicates if statistics gathering is enabled. It's enabled by default. Set this attribute to false to disable statistics gathering. The subsetting process gathers statistics on database tables after subsetting completes
    maskingPolicyId string
    A filter to return only the resources that match the specified masking policy OCID.
    parallelDegree string
    Specifies options to enable parallel execution when running data subsetting. Allowed values are 'NONE' (no parallelism), 'DEFAULT' (the Oracle Database computes the optimum degree of parallelism) or an integer value to be used as the degree of parallelism. Parallel execution helps effectively use multiple CPUs and improve subsetting performance. Refer to the Oracle Database parallel execution framework when choosing an explicit degree of parallelism
    postSubsettingScript string
    A post-subsetting script, which can contain SQL and PL/SQL statements. It's executed after the core subsetting script generated using the subsetting policy. It's usually used to perform additional transformation or cleanup work after subsetting.
    preSubsettingScript string
    A pre-subsetting script, which can contain SQL and PL/SQL statements. It's executed before the core subsetting script generated using the subsetting policy. It's usually used to perform any preparation or prerequisite work before subsetting data
    recompile string
    Specifies how to recompile invalid objects post data subsetting. Allowed values are 'SERIAL' (recompile in serial), 'PARALLEL' (recompile in parallel), 'NONE' (do not recompile). If it's set to PARALLEL, the value of parallelDegree attribute is used. Use the built-in UTL_RECOMP package to recompile any remaining invalid objects after subsetting completes
    schemaSources GetSubsettingPoliciesSubsettingPolicyCollectionItemSchemaSource[]
    The source of subsetting schemas
    state string
    A filter to return only the resources that match the specified lifecycle states.
    tablespace string
    targetCredentials GetSubsettingPoliciesSubsettingPolicyCollectionItemTargetCredential[]
    targetId string
    A filter to return only items related to a specific target OCID.
    timeCreated string
    The date and time the subsetting policy was created, in the format defined by RFC3339
    timeUpdated string
    The date and time the subsetting policy was last updated, in the format defined by RFC3339
    unrelatedTablesAction string
    Strategy to be applied for tables which are not impacted by any of the subsetting rules
    check_type str
    compartment_id str
    A filter to return only resources that match the specified compartment OCID.
    defined_tags Mapping[str, str]
    Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags Example: {"Operations.CostCenter": "42"}
    description str
    The description of the subsetting policy
    display_name str
    A filter to return only resources that match the specified display name.
    freeform_tags Mapping[str, str]
    Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see Resource Tags Example: {"Department": "Finance"}
    generate_health_report_trigger int
    id str
    The OCID of the subsetting policy
    is_redo_logging_enabled bool
    Indicates if redo logging is enabled during a subsetting operation. It's disabled by default. Set this attribute to true to enable redo logging. By default, subsetting disables redo logging and flashback logging to purge any original data from logs. However, in certain circumstances when you only want to test subsetting, rollback changes, and retry subsetting, you could enable logging and use a flashback database to retrieve the original data after it has been subsetted.
    is_refresh_stats_enabled bool
    Indicates if statistics gathering is enabled. It's enabled by default. Set this attribute to false to disable statistics gathering. The subsetting process gathers statistics on database tables after subsetting completes
    masking_policy_id str
    A filter to return only the resources that match the specified masking policy OCID.
    parallel_degree str
    Specifies options to enable parallel execution when running data subsetting. Allowed values are 'NONE' (no parallelism), 'DEFAULT' (the Oracle Database computes the optimum degree of parallelism) or an integer value to be used as the degree of parallelism. Parallel execution helps effectively use multiple CPUs and improve subsetting performance. Refer to the Oracle Database parallel execution framework when choosing an explicit degree of parallelism
    post_subsetting_script str
    A post-subsetting script, which can contain SQL and PL/SQL statements. It's executed after the core subsetting script generated using the subsetting policy. It's usually used to perform additional transformation or cleanup work after subsetting.
    pre_subsetting_script str
    A pre-subsetting script, which can contain SQL and PL/SQL statements. It's executed before the core subsetting script generated using the subsetting policy. It's usually used to perform any preparation or prerequisite work before subsetting data
    recompile str
    Specifies how to recompile invalid objects post data subsetting. Allowed values are 'SERIAL' (recompile in serial), 'PARALLEL' (recompile in parallel), 'NONE' (do not recompile). If it's set to PARALLEL, the value of parallelDegree attribute is used. Use the built-in UTL_RECOMP package to recompile any remaining invalid objects after subsetting completes
    schema_sources Sequence[GetSubsettingPoliciesSubsettingPolicyCollectionItemSchemaSource]
    The source of subsetting schemas
    state str
    A filter to return only the resources that match the specified lifecycle states.
    tablespace str
    target_credentials Sequence[GetSubsettingPoliciesSubsettingPolicyCollectionItemTargetCredential]
    target_id str
    A filter to return only items related to a specific target OCID.
    time_created str
    The date and time the subsetting policy was created, in the format defined by RFC3339
    time_updated str
    The date and time the subsetting policy was last updated, in the format defined by RFC3339
    unrelated_tables_action str
    Strategy to be applied for tables which are not impacted by any of the subsetting rules
    checkType String
    compartmentId String
    A filter to return only resources that match the specified compartment OCID.
    definedTags Map<String>
    Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags Example: {"Operations.CostCenter": "42"}
    description String
    The description of the subsetting policy
    displayName String
    A filter to return only resources that match the specified display name.
    freeformTags Map<String>
    Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see Resource Tags Example: {"Department": "Finance"}
    generateHealthReportTrigger Number
    id String
    The OCID of the subsetting policy
    isRedoLoggingEnabled Boolean
    Indicates if redo logging is enabled during a subsetting operation. It's disabled by default. Set this attribute to true to enable redo logging. By default, subsetting disables redo logging and flashback logging to purge any original data from logs. However, in certain circumstances when you only want to test subsetting, rollback changes, and retry subsetting, you could enable logging and use a flashback database to retrieve the original data after it has been subsetted.
    isRefreshStatsEnabled Boolean
    Indicates if statistics gathering is enabled. It's enabled by default. Set this attribute to false to disable statistics gathering. The subsetting process gathers statistics on database tables after subsetting completes
    maskingPolicyId String
    A filter to return only the resources that match the specified masking policy OCID.
    parallelDegree String
    Specifies options to enable parallel execution when running data subsetting. Allowed values are 'NONE' (no parallelism), 'DEFAULT' (the Oracle Database computes the optimum degree of parallelism) or an integer value to be used as the degree of parallelism. Parallel execution helps effectively use multiple CPUs and improve subsetting performance. Refer to the Oracle Database parallel execution framework when choosing an explicit degree of parallelism
    postSubsettingScript String
    A post-subsetting script, which can contain SQL and PL/SQL statements. It's executed after the core subsetting script generated using the subsetting policy. It's usually used to perform additional transformation or cleanup work after subsetting.
    preSubsettingScript String
    A pre-subsetting script, which can contain SQL and PL/SQL statements. It's executed before the core subsetting script generated using the subsetting policy. It's usually used to perform any preparation or prerequisite work before subsetting data
    recompile String
    Specifies how to recompile invalid objects post data subsetting. Allowed values are 'SERIAL' (recompile in serial), 'PARALLEL' (recompile in parallel), 'NONE' (do not recompile). If it's set to PARALLEL, the value of parallelDegree attribute is used. Use the built-in UTL_RECOMP package to recompile any remaining invalid objects after subsetting completes
    schemaSources List<Property Map>
    The source of subsetting schemas
    state String
    A filter to return only the resources that match the specified lifecycle states.
    tablespace String
    targetCredentials List<Property Map>
    targetId String
    A filter to return only items related to a specific target OCID.
    timeCreated String
    The date and time the subsetting policy was created, in the format defined by RFC3339
    timeUpdated String
    The date and time the subsetting policy was last updated, in the format defined by RFC3339
    unrelatedTablesAction String
    Strategy to be applied for tables which are not impacted by any of the subsetting rules

    GetSubsettingPoliciesSubsettingPolicyCollectionItemSchemaSource

    DerivedSchemas List<string>
    The schemas which are related to the input list of schemas in 'schemasForSubsetting'. These schemas can also be impacted from the subsetting process due to their relations with the schemas in 'schemasForSubsetting'
    SchemaSource string
    The source of subsetting schemas
    SchemasForSubsettings List<string>
    The schemas to be subsetted
    SensitiveDataModelId string
    A filter to return only the resources that match the specified sensitive data model OCID.
    TargetId string
    A filter to return only items related to a specific target OCID.
    DerivedSchemas []string
    The schemas which are related to the input list of schemas in 'schemasForSubsetting'. These schemas can also be impacted from the subsetting process due to their relations with the schemas in 'schemasForSubsetting'
    SchemaSource string
    The source of subsetting schemas
    SchemasForSubsettings []string
    The schemas to be subsetted
    SensitiveDataModelId string
    A filter to return only the resources that match the specified sensitive data model OCID.
    TargetId string
    A filter to return only items related to a specific target OCID.
    derived_schemas list(string)
    The schemas which are related to the input list of schemas in 'schemasForSubsetting'. These schemas can also be impacted from the subsetting process due to their relations with the schemas in 'schemasForSubsetting'
    schema_source string
    The source of subsetting schemas
    schemas_for_subsettings list(string)
    The schemas to be subsetted
    sensitive_data_model_id string
    A filter to return only the resources that match the specified sensitive data model OCID.
    target_id string
    A filter to return only items related to a specific target OCID.
    derivedSchemas List<String>
    The schemas which are related to the input list of schemas in 'schemasForSubsetting'. These schemas can also be impacted from the subsetting process due to their relations with the schemas in 'schemasForSubsetting'
    schemaSource String
    The source of subsetting schemas
    schemasForSubsettings List<String>
    The schemas to be subsetted
    sensitiveDataModelId String
    A filter to return only the resources that match the specified sensitive data model OCID.
    targetId String
    A filter to return only items related to a specific target OCID.
    derivedSchemas string[]
    The schemas which are related to the input list of schemas in 'schemasForSubsetting'. These schemas can also be impacted from the subsetting process due to their relations with the schemas in 'schemasForSubsetting'
    schemaSource string
    The source of subsetting schemas
    schemasForSubsettings string[]
    The schemas to be subsetted
    sensitiveDataModelId string
    A filter to return only the resources that match the specified sensitive data model OCID.
    targetId string
    A filter to return only items related to a specific target OCID.
    derived_schemas Sequence[str]
    The schemas which are related to the input list of schemas in 'schemasForSubsetting'. These schemas can also be impacted from the subsetting process due to their relations with the schemas in 'schemasForSubsetting'
    schema_source str
    The source of subsetting schemas
    schemas_for_subsettings Sequence[str]
    The schemas to be subsetted
    sensitive_data_model_id str
    A filter to return only the resources that match the specified sensitive data model OCID.
    target_id str
    A filter to return only items related to a specific target OCID.
    derivedSchemas List<String>
    The schemas which are related to the input list of schemas in 'schemasForSubsetting'. These schemas can also be impacted from the subsetting process due to their relations with the schemas in 'schemasForSubsetting'
    schemaSource String
    The source of subsetting schemas
    schemasForSubsettings List<String>
    The schemas to be subsetted
    sensitiveDataModelId String
    A filter to return only the resources that match the specified sensitive data model OCID.
    targetId String
    A filter to return only items related to a specific target OCID.

    GetSubsettingPoliciesSubsettingPolicyCollectionItemTargetCredential

    Password string
    UserName string
    Password string
    UserName string
    password string
    user_name string
    password String
    userName String
    password string
    userName string
    password String
    userName String

    Package Details

    Repository
    oci pulumi/pulumi-oci
    License
    Apache-2.0
    Notes
    This Pulumi package is based on the oci Terraform Provider.
    oci logo oci logo
    Viewing docs for Oracle Cloud Infrastructure v5.3.0
    published on Friday, Oct 9, 2026 by Pulumi

      Try Pulumi Cloud free.
      Your team will thank you.

      Start free trial